#
# Table structure for table `bluesbb`
#

CREATE TABLE bluesbb (
  post_id int(8) unsigned NOT NULL auto_increment,
  topic_id smallint(3) unsigned NOT NULL default '1',
  thread_id int(6) unsigned NOT NULL default '1',
  res_id smallint(3) unsigned NOT NULL default '0',
  hig_id smallint(3) unsigned NOT NULL default '0',
  name varchar(50) NOT NULL default '',
  mail varchar(100) NOT NULL default '',
  url varchar(255) default NULL,
  title varchar(100) default NULL,
  message text NOT NULL,
  pass varchar(32) default NULL,
  post_time int(10) unsigned NOT NULL default '0',
  res_time int(10) unsigned NOT NULL default '0',
  uid mediumint(8) unsigned NOT NULL default '0',
  attachsig tinyint(1) NOT NULL default '0',
  poster_ip varchar(20) default NULL,
  poster_host varchar(80) default NULL,
  poster_agent varchar(255) default NULL,
  PRIMARY KEY  (post_id),
  KEY topic_id (topic_id),
  KEY thread_id (thread_id),
  KEY uid (uid)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `bluesbb_topic`
#

CREATE TABLE bluesbb_topic (
  topic_id smallint(3) unsigned NOT NULL auto_increment,
  topic_name varchar(150) NOT NULL default '',
  topic_access tinyint(2) NOT NULL default '1',
  topic_group tinyint(2) NOT NULL default '1',
  topic_info text,
  cat_id int(2) NOT NULL default '1',
  allow_sig ENUM('0','1') NOT NULL default '1',
  list_display ENUM('0','1') NOT NULL default '1',
  thread_per_page tinyint(3) unsigned NOT NULL default '5',
  res_per_thread tinyint(3) unsigned NOT NULL default '10',
  tree_per_page tinyint(3) unsigned NOT NULL default '5',
  order_per_page tinyint(3) unsigned NOT NULL default '20',
  res_limit smallint(3) unsigned NOT NULL default '299',
  topic_style ENUM('1','2','3') NOT NULL default '1',
  style_choice varchar(5) NOT NULL default '1:2:3',
  topic_order smallint(3) NOT NULL default '1',
  PRIMARY KEY  (topic_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `bluesbb_categories`
#

CREATE TABLE bluesbb_categories (
  cat_id smallint(2) unsigned NOT NULL auto_increment,
  cat_title varchar(100) NOT NULL default '',
  cat_order smallint(2) NOT NULL default '1',
  PRIMARY KEY  (cat_id)
) TYPE=MyISAM;
